# Get list of upsell items in project

Gets a list of upsell items in a project if they have already been set up.  
  Note
    This API call uses a user JWT for authorization.
    Include the token in the Authorization header in the following format: Bearer &lt;user_JWT&gt;. For more information about user JWT, see the Security block for this call.

Endpoint: GET /v2/project/{project_id}/items/upsell
Version: 2.0.0
Security: XsollaLoginUserJWT

## Path parameters:

  - `project_id` (integer, required)
    Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com//projects/.
    Example: 44056

## Response 200 fields (application/json):

  - `has_more` (boolean)
    Used as an indicator that there are more pages.

  - `items` (array)

  - `items.sku` (string)
    Unique item ID. The SKU may contain only lowercase and uppercase Latin alphanumeric characters, periods, dashes, and underscores.
    Example: "big_rocket"

  - `items.name` (string)
    Item name.
    Example: "Big Rocket"

  - `items.groups` (array)
    Groups the item belongs to.

  - `items.groups.external_id` (string)
    Example: "horror"

  - `items.groups.name` (object)
    Name of item. Should contain key/value pairs
where key is a locale with "^[a-z]{2}" format, value is string.
    Example: {"en":"Horror","de":"Horror"}

  - `items.attributes` (array)
    List of attributes and their values corresponding to the item. Can be used for catalog filtering.

  - `items.attributes.external_id` (string)
    Unique attribute ID. The external_id may contain only lowercase and uppercase Latin alphanumeric characters, dashes, and underscores.

  - `items.attributes.name` (object)
    Name of attribute.
    Example: "Genre"

  - `items.attributes.values` (array)

  - `items.attributes.values.external_id` (string)
    Unique value ID for an attribute. The external_id may only contain lowercase Latin alphanumeric characters, dashes, and underscores.

  - `items.attributes.values.value` (string)
    Value of attribute.
    Example: "Strategy"

  - `items.type` (string)
    Type of item: virtual_good/virtual_currency/bundle.
    Example: "virtual_good"

  - `items.description` (string)
    Item description.
    Example: "Big Rocket - description"

  - `items.image_url` (string)
    Image URL.
    Example: "https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png"

  - `items.is_free` (boolean)
    Whether the item is free.

  - `items.price` (object,null)
    Item prices.

  - `items.price.amount` (string)
    Discounted item price.
    Example: "100.99"

  - `items.price.amount_without_discount` (string)
    Item price.
    Example: "100.99"

  - `items.price.currency` (string)
    Item price currency. Three-letter code per [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217).
    Example: "USD"

  - `items.virtual_prices` (array)
    Virtual prices.

  - `items.virtual_prices.amount` (integer)
    Item price in virtual currency.
    Example: 100

  - `items.virtual_prices.amount_without_discount` (integer)
    Item price in virtual currency without discount. Always equal to amount since discounts are not applied to prices in virtual currency.
    Example: 200

  - `items.virtual_prices.sku` (string)
    Virtual currency SKU.
    Example: "vc_gold"

  - `items.virtual_prices.is_default` (boolean)
    Whether it is the default price in virtual currency.
    Example: true

  - `items.virtual_prices.image_url` (string,null)
    Virtual currency image URL.
    Example: "http://image.png"

  - `items.virtual_prices.name` (string)
    Virtual currency name.
    Example: "Gold"

  - `items.virtual_prices.type` (string)
    Item type. For virtual currency, it is virtual_currency.
    Example: "virtual_currency"

  - `items.virtual_prices.description` (string,null)
    Virtual currency description.
    Example: "In-game currency used to purchase weapons and upgrades"

  - `items.can_be_bought` (boolean)
    If true, the user can buy an item.

  - `items.virtual_item_type` (string)
    Type of virtual item.

Possible values:
- consumable — An item that disappears from the inventory after use (e.g., ammo).
- non_consumable — An item that stays in the inventory for an unlimited period of time.
- non_renewing_subscription — Time-limited item that can represent access to services or content for a limited period of time.
    Enum: "consumable", "non_consumable", "non_renewing_subscription"

  - `items.promotions` (array)
    Applied promotions for specific items in the cart. The array is returned in the following cases:

* A discount promotion is configured for a specific item.

* A promo code with the Discount on selected items setting is applied.

If no item-level promotions are applied, an empty array is returned.

  - `items.promotions.name` (string)

  - `items.promotions.date_start` (string,null)

  - `items.promotions.date_end` (string,null)

  - `items.promotions.discount` (object,null)

  - `items.promotions.discount.percent` (string,null)

  - `items.promotions.discount.value` (string,null)

  - `items.promotions.bonus` (array)

  - `items.promotions.bonus.sku` (string)

  - `items.promotions.bonus.quantity` (integer)

  - `items.promotions.bonus.type` (string)
    Bonus item type.
    Enum: "virtual_good", "virtual_currency", "bundle", "physical_good", "game_key", "nft"

  - `items.promotions.bonus.name` (string)
    Bonus item name. Not available for physical_good bonus item type.

  - `items.promotions.bonus.image_url` (string)
    Bonus item image URL. Not available for physical_good bonus item type.

  - `items.promotions.bonus.bundle_type` (string)
    Bonus bundle item type. Available only for bundle bonus item type.
    Enum: "standard", "virtual_currency_package"

  - `items.promotions.limits` (object)

  - `items.promotions.limits.per_user` (object)

  - `items.promotions.limits.per_user.available` (integer)

  - `items.promotions.limits.per_user.total` (integer)

  - `items.limits` (object,null)
    Item limits.

  - `items.limits.per_user` (object,null)
    Item limits for a user.

  - `items.limits.per_user.total` (integer)
    Maximum number of items a single user can purchase.
    Example: 5

  - `items.limits.per_user.available` (integer)
    Remaining number of items the current user can purchase.
    Example: 3

  - `items.limits.per_user.recurrent_schedule` (any)

  - `items.limits.per_user.limit_exceeded_visibility` (string)
    Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.

Applies to items for which recurring limit resets are configured in the recurrent_schedule array.

If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached,
regardless of the limit_exceeded_visibility value.

Possible values:
- show — The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side
catalog retrieval API calls, once the limit is reached, the item is returned with the can_be_bought: false flag. The
next reset date is returned in reset_next_date.
- hide — The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the
limit is reset.
    Enum: "show", "hide"

  - `items.limits.per_item` (object,null)
    Item limits for an item.

  - `items.limits.per_item.total` (integer)
    Maximum number of items all users can purchase.
    Example: 5

  - `items.limits.per_item.available` (integer)
    Remaining number of items all users can purchase.
    Example: 3

  - `items.periods` (array)
    Item sales period.

  - `items.periods.date_from` (string,null)
    Date when the specified item will be available for sale.
    Example: "2020-08-11T10:00:00+03:00"

  - `items.periods.date_until` (string,null)
    Date when the specified item will become unavailable for sale. Can be null.
    Example: "2020-08-11T20:00:00+03:00"

  - `items.custom_attributes` (object)
    A JSON object containing item attributes and values.

  - `items.vp_rewards` (array)
    List of value point rewards for the item.

  - `items.vp_rewards.item_id` (integer)
    Internal unique item ID.

  - `items.vp_rewards.sku` (string)
    Unique value point ID.

  - `items.vp_rewards.amount` (integer)
    Amount of value points.

  - `items.vp_rewards.name` (string)
    Value point name.

  - `items.vp_rewards.image_url` (string)
    Image URL.

  - `items.vp_rewards.is_clan` (boolean)
    Whether the value point is used in clan reward chains.

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1501

  - `errorMessage` (string)
    Example: "[0401-1501]: Authorization failed: Provide authorization"


